library(tidyr)
library(ggplot2)
#faili sisselugemine ja andmete formaadi korrigeerimine
J124=read.csv("PT1-T1.2-J1.2.4.csv",header=TRUE, encoding ="UTF-8")
J124$Vanus=as.factor(J124$Vanus)
J124$src=as.factor(J124$src)
J124[,2:5]=J124[,2:5]*100



    
#näidise järgi joonis: 

ggplot(J124)+
  geom_point(aes(x=Vanus,y=pct,col=src),pos=position_dodge(0.3),cex=3)+
  geom_line(aes(x=Vanus,y=pct,group=src,col=src),pos=position_dodge(0.3),linewidth=1.5)+
  geom_errorbar(aes(x=Vanus,ymin=pct-se.pct,ymax=pct+se.pct,col=src),pos=position_dodge(0.3),linewidth=1,width=0.2)+
  theme_minimal()+
  labs(col="Uuringulaine")+
  scale_y_continuous(breaks=seq(from=0,to=25,by=5),limits = c(0,25))+
  xlab("Vanus")+
  ylab(" Palju või väga palju stressi tundvate vastajate osakaal (%)")+
  scale_color_manual(values=c("#1E272E","#f09d00","#FF3600","#668080"))+
  theme(text = element_text(color="#668080"),axis.text=element_text(color="#668080"))
 
  





